{% extends "modules/_modules_s_italia/stato civile/Dichiarazione residenza.html" %}

{%- block urn -%}
{%- set CodiceModulo = "DOM_DIC_RES" -%}
{%- set Urn = "document:c_a304:descriz" -%}
{{ Urn }}
{%- endblock urn -%}

<!-- EXTEND PER RIMUOVERE LA FIRMA E METTERE AUTENTICATO -->

<!-- setto l'unico firmatario in modo da far funzionare l'AUTENTICATO -->
{% block campi_firma %}Titolare_CodiceFiscale{% endblock campi_firma %}

<!-- aggiungo allegati -->
{% block meta %}
  {{ super() }}
	<meta name='GLOBO_allegato' codice_allegato='RES-MOD-ASS' urn_allegato="document:s_italia:modulo.firma.autografa" descrizione_estesa="Modulo firmato con firma autografa dagli ulteriori dichiaranti" dimensione_massima="15" filename="Firma ulteriori dichiaranti" firmato="NO" numero="1" obbligatorio='DINAMICO' tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

    <!--Inserito modulo secondario personalizzato-->
    <meta codice_modulo_figlio="ALL_DATI_PROP"
    urn_modulo_figlio="document:c_a304:dati.proprietario;dichiarazione.residenza"
    name="GLOBO_modulofiglio"
    numero="0"
    obbligatorio="OBBLIGATORIO"/>
{% endblock %}

<!-- rimuovo dallo standard tutte le logihe di firmain modo da far funzionare l'AUTENTICATO -->
{% block globo_modulo %}
<input urn_procedimento="'anagrafe.residenza:' + (#Tassonomia_TipoIstanza5.checked() ? 'altro' : '') +  (#Tassonomia_TipoIstanza4.checked() ? 'cambio.abitazione' : '') + (#Tassonomia_TipoIstanza1.checked() ? 'provenienza.altro.comune' : '') + (#Tassonomia_TipoIstanza2.checked() ? 'provenienza.estero' : '') + (#Tassonomia_TipoIstanza3.checked() ? 'provenienza.estero.aire' : '')" destinatario_amministrazione="getParameter('Ente')" firmare="'AUTENTICATO'" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" style="width:100%" value=""/>
{% endblock globo_modulo %}

<!-- calcolo numero allegati e obbligatorietà -->
{% block obbligatorieta_allegati %}
	<input id="GLOBO_allegato_cRES-MOD-ASS" name="GLOBO_allegato_cRES-MOD-ASS" numero="parseFloat((#AventeTitolo11_CodiceFiscale.value() != #Titolare_CodiceFiscale.value() and #CFMaggiorenne1.value() != '') ? 1 : 0) + parseFloat(#CFMaggiorenne2.value() != '' ? 1 : 0) + parseFloat(#CFMaggiorenne3.value() != '' ? 1 : 0) + parseFloat(#CFMaggiorenne4.value() != '' ? 1 : 0) + parseFloat(#CFMaggiorenne5.value() != '' ? 1 : 0) + parseFloat(#CFMaggiorenne6.value() != '' ? 1 : 0) + parseFloat(#CFMaggiorenne7.value() != '' ? 1 : 0) + parseFloat(#CFMaggiorenne8.value() != '' ? 1 : 0) + parseFloat(#CFMaggiorenne9.value() != '' ? 1 : 0) + parseFloat(#CFMaggiorenne10.value() != '' ? 1 : 0)" obbligatorio="((#AventeTitolo11_CodiceFiscale.value() != #Titolare_CodiceFiscale.value() and #CFMaggiorenne1.value() != '') || #CFMaggiorenne2.value() != '' || #CFMaggiorenne3.value() != '' || #CFMaggiorenne4.value() != '' || #CFMaggiorenne5.value() != '' || #CFMaggiorenne6.value() != '' || #CFMaggiorenne7.value() != '' || #CFMaggiorenne8.value() != '' || #CFMaggiorenne9.value() != '' || #CFMaggiorenne10.value() != '') ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>
{% endblock obbligatorieta_allegati %}
